Get Diagnostics Summary

Get Diagnostics Summary
Get the list of diagnostics runs (summary) of a service mesh matching the filters.

Get the list of diagnostics runs (summary) of a service mesh matching the filters.

Request
URI
POST
https://{server}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/diagnostics/query
COPY
Path Parameters
string
serviceMeshId
Required

Service Mesh ID


Request Body

Filter object.

serviceMeshDiagFilter of type(s) application/json
Required

Show optional properties

{
    "filter": {}
}
{
    "filter": {
        "status": [
            "string"
        ],
        "startTime": 0,
        "endTime": 0
    },
    "paging": {
        "offset": 0,
        "pageSize": 0
    }
}
object
filter
Required

filter

object
paging
Optional

paging

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns serviceMeshDiagResponseList of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "items": [
        {
            "diagId": "string",
            "serviceMeshId": "string",
            "applianceIds": [
                "string"
            ],
            "startTime": 0,
            "endTime": 0,
            "status": "string",
            "message": "string",
            "triggeredBy": "string",
            "reason": "string",
            "details": {}
        }
    ],
    "paging": {
        "offset": 0,
        "pageSize": 0,
        "totalSize": 0
    }
}
array of object
errors
Optional

errors

array of object
items
Optional

items

object
paging
Optional

paging


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
"errorResponse Object"
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"filter":"object"}' https://{api_host}/hybridity/api/interconnect/serviceMesh/{serviceMeshId}/diagnostics/query